Bug 133608 - smbpasswd -a user -s password
Summary: smbpasswd -a user -s password
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-25 08:20 UTC by zebullon
Modified: 2014-08-31 23:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 16:22:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description zebullon 2004-09-25 08:20:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
smbpasswd doesn't accept -s option tu use stdin for password prompt.

Version-Release number of selected component (if applicable):
samba-common-3.0.7-2.FC2.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.upgrade rpm to samba-common-3.0.7-2.FC2.i386.rpm
2.create an unix user 'user1'
3.smbpassd -a user1 -s password
    

Actual Results:  The help message is return and the user isn't added.

Expected Results:  user should be added in /etc/samba/smbpasswd

Additional info:

Comment 1 Nils Philippsen 2004-11-02 16:22:52 UTC
command line != stdin, the command behaves as expected and documented.
What you would have to do were something like this (in shell):

(echo password; echo password) | smbpasswd -a user1 -s

In fact, you really don't want that password to appear in the list of
processes, so take care that you don't call an external executable
with the password on the command line.


Note You need to log in before you can comment on or make changes to this bug.